<?php
return [
    //后台登录
    'admin_login'                       => '管理员登录',
    //后台顶部
    'admin_home'                        => '后台首页',
    'front_home'                        => '前台首页',
    'admin_logout'                      => '安全退出',
    //左侧菜单
    'menu_config'                       => '设置',
    'menu_user'                         => '用户',
    'menu_apply'                        => '应用',
    'menu_system'                       => '系统',
    'op_index'                          => '全局设置',
    'op_safe'                           => '安全设置',
    'cache_index'                       => '缓存设置',
    'video_index'                       => '视频配置',
    'upload_config'                     => '上传配置',
    'user_index'                        => '用户管理',
    'auth_index'                        => '权限管理',
    'apply_index'                       => '应用管理',
    'apply_store'                       => '应用市场',
    'apply_create'                      => '应用打包',
    'tool_index'                        => '工具维护',
    'category_index'                    => '分类管理',
    'tag_index'                         => '标签管理',
    'route_index'                       => '路由管理',
    'index_index'                       => '系统环境',
    
    //设置>>全局配置
    'app_domain'                        => '域名前缀',
    'site_captcha'                      => '验证码开关',
    'site_status'                       => '网站开关',
    'site_status_placeholder'           => '站点关闭后将不能访问，后台可正常登录',
    'site_name'                         => '站点名称',
    'site_name_placeholder'             => '给您的网站取个名字',
    'site_domain'                       => '网站主域名',
    'site_domain_placeholder'           => '请填写网站域名，不加http(s)://', 
    'wap_domain'                        => '移动端域名',
    'wap_domain_placeholder'            => '留空则不自动跳转，不加http(s)://',
    'site_theme'                        => '模板主题',
    'site_theme_placeholder'            => '默认模板主题名',
    'wap_theme'                         => '移动端主题',
    'wap_theme_placeholder'             => '移动端默认主题名',        
    'site_icp'                          => '备案信息',
    'site_icp_placeholder'              => '请填写您的网址备案号',
    'site_tongji'                       => '统计代码',
    'site_tongji_placeholder'           => '请填写您的第三方统计代码',
    'site_close'                        => '闭站提示',
    'site_close_placeholder'            => '网站关闭后的温馨提示，后台不受影响',
    'site_id'                           => '联盟渠道',
    'site_id_placeholder'               => '您在呆错官网申请的渠道ID，用于应用的分成与分销等',
    'site_token'                        => '联盟令牌',
    'site_token_placeholder'            => '您在呆错官网申请的令牌，用于插件下载、API数据调用等',
    'site_secret'                       => '系统加密密钥',
    'site_secret_placeholder'           => '写入Cookie时的随机密钥字符串',
    'editor_name'                       => '编辑器',
    'editor_name_placeholder'           => '选择后一般不需要更改，以免不兼容',
    'token_secret'                      => '令牌加密密钥',
    'token_secret_placeholder'          => '生成TOKEN令牌时的密钥，留空则不加密',
    'user_max_expire'                   => '防暴力破解时长',
    'user_max_expire_placeholder'       => '在一定时间内暴力破解检测开关，设为0则不启用，单位：秒',
    'user_max_error'                    => '防暴力破解次数',
    'user_max_error_placeholder'        => '在防暴力破解时长内达到多少次错误的用户，将锁定其IP，阻止其再次尝试',
    'user_force_white'                  => '防暴力白名单IP',
    'user_force_white_placeholder'      => '白名单内的IP不受上述设置所影响，半角(,)逗号分隔',
    
    //设置>>缓存设置
    'cache_tips'                        => 'File/Sqlite3填写对应的路径、Memcache(d)、Redis填写地址与端口、Wincache、Xcache不需填写',
    'cache_type'                        => '缓存方式',
    'cache_type_option_0'               => 'File文件',
    'cache_type_option_1'               => 'Sqlite3数据库',
    'cache_type_option_2'               => 'Memcache',
    'cache_type_option_3'               => 'Memcached',
    'cache_type_option_4'               => 'Redis',
    'cache_type_option_5'               => 'Wincache',
    'cache_type_option_6'               => 'Xcache',
    'cache_type_option'                 => ['File文件','Sqlite3数据库','Memcache','Memcached','Redis','Wincache','Xcache'],
    'cache_type_placeholder'=>'',
    'cache_prefix'                      => '缓存前缀',
    'cache_prefix_placeholder'          => '自定义缓存前缀，可留空',
    'cache_path'                        => 'File文件缓存目录',
    'cache_path_placeholder'            => 'File文件方式时缓存文件存放的目录，/结尾',
    'cache_db'                          => 'Sqlite3数据库文件',
    'cache_db_placeholder'              => 'Sqlite3方式时的数据库文件',    
    'cache_host'                        => '缓存服务器地址',
    'cache_host_placeholder'            => '填写缓存服务器的IP或域名',    
    'cache_port'                        => '缓存服务器端口',
    'cache_port_placeholder'            => 'Memache(d)默认为11211、Redis默认为6379', 
    'cache_expire'                      => '默认缓存时间',
    'cache_expire_placeholder'          => '默认缓存时间(秒)，0为永久缓存',
    'cache_expire_detail'               => '普通数据缓存时间',
    'cache_expire_detail_placeholder'   => '普通数据缓存时间(秒)，留空不启用缓存，0为永久缓存',
    'cache_expire_item'                 => '循环数据缓存时间',
    'cache_expire_item_placeholder'     => '循环数据缓存时间(秒)，留空不启用缓存，0为永久缓存',
    
    //设置>视频设置
    'video_in'                           => '站内播放',
    'video_size'                         => '画面比例',    
    'video_size_16by9'                   => '16:9',
    'video_size_21by9'                   => '21:9',
    'video_size_4by3'                    => '4:3',
    'video_size_1by1'                    => '1:1',
    'video_ai'                           => '视频解析',
    'video_ai_placeholder'               => '第三方解析地址，不填则使用官方的云播放器解析地址',
    'video_frontUrl'                     => '前置广告',
    'video_frontUrl_placeholder'         => '视频播放前加载的广告网页广告地址',    
    'video_frontTime'                    => '前置广告',
    'video_frontTime_placeholder'        => '倒计时结束后加载播放器，单位（秒）',
    'video_endUrl'                       => '结束广告',
    'video_endUrl_placeholder'           => '视频播放完成后加载的网页广告地址',
    'video_endTime'                      => '结束广告',
    'video_endTime_placeholder'          => '播放结束后展示的广告时长，单位（秒）',                        
    'video_pause'                        => '暂停广告',
    'video_pause_placeholder'            => '播放器暂停时触发的网页广告地址',    
    'video_buffer'                       => '缓冲广告',
    'video_buffer_placeholder'           => '缓冲时加载的广告，缓冲完成后，自动消失',
    'video_advUnit'                      => '广告配置文件地址',
    'video_advUnit_placeholder'          => '视频广告的高级用法，json格式，不要跨域',
    'video_advUnit_tips'                 => '详情参考CKPLAYER手册',
    
    //设置>上传设置
    'upload_path'                        => '附件保存路径',
    'upload_path_placeholder'            => '不需要/开头与结尾',
    'upload_referer'                     => '远程附件处理接口',
    'upload_referer_placeholder'         => '第三方的远程文件有防盗链功能时可填写此接口进行处理，附件参数会做URL编码传递',
    'upload_host'                        => '本地附件URL接口',
    'upload_host_placeholder'            => '当不希望直接显示本地附件路径时可填写此接品进行处理，附件参数会做URL编码传递，设置后优先于下方的CDN接口',
    'upload_cdn'                         => '本地附件CDN接口',
    'upload_cdn_placeholder'             => '本地附件独立域名访问，将直接显示完整附件路径，(https|http)://开头，结尾不需要/',
    'upload_save_rule'                   => '文件名保存规则',
    'upload_save_rule_placeholder'       => '默认有函数规则(date,md5,sha1,uniqid)，也可自定义规则{year}/{mon}/{day}/{hour}/{min}/{sec}/{filename}/{filemd5}',
    'upload_max_size'                    => '上传文件大小限制',
    'upload_max_size_placeholder'        => '单位：b,k,kb,m,mb,g,gb',
    'upload_file_ext'                    => '允许上传的文件后缀',
    'upload_file_ext_placeholder'        => '多个用逗号分隔，如zip,png,jpg',
    'upload_mime_type'                   => '允许上传的文件类型',
    'upload_mime_type_placeholder'       => '多个用逗号分隔，如video/mp4,image/png,application/zip',
    
    //应用
    'apply_home'                         => '官网',
    'apply_empty'                        => '还没有安装任何应用插件，请前往应用市场中心下载并安装。',
    'apply_name'                         => '应用名称',
    'apply_name_placeholder'             => '后台展示您将打包发布的应用名称',
    'apply_name_unique'                  => '应用已经存在',
    'apply_module'                       => '应用标识',    
    'apply_module_placeholder'           => '您在呆错应用市场申请的唯一标识',
    'apply_version'                      => '应用版本',    
    'apply_version_placeholder'          => '即将发布的应用版本号,三位版本号，如（1.0.2）',
    'apply_rely'                         => '依赖应用',
    'apply_rely_placeholder'             => '多个插件用逗号分隔，在此列表内的应用将禁止卸载',
    //本地应用安装应用
    'apply_fail_op'                      => '插件列表获取失败',
    'apply_fail_sql'                     => '执行插件脚本出错',
    'apply_fail_rely'                    => '系统核心模块，禁止卸载',
    'apply_fail_update_frame'            => '框架版本不匹配，需大于或等于',
    'apply_fail_update_app'              => '插件版本不匹配，需大于或等于',
    'apply_fail_datatype'                => '数据库类型不支持，请更换框架数据库类型',
    'apply_fail_uninstall'               => '安装此插件前需要先安装',
    'apply_fail_disable'                 => '插件已禁用，请至后台>应用>开启',
    //应用市场在线安装
    'apply_download_failed'              => '应用下载失败（请尝试手动下载安装）',
    'apply_save_failed'                  => '应用保存失败（检查./datas是否有创建文件夹权限）',
    'apply_unzip_failed'                 => '应用解压失败（检查./datas是否有读取权限、检查./apps是否有创建文件权限）',
    'apply_dir_access'                   => '应用安装失败（./apps没有创建文件权限，请暂时设置0777权限）',
    'daicuo_module_empty'                => '应用标识不能为空',
    'daicuo_token_empty'                 => '<p>请先绑定您在呆错开放平台的唯一令牌标识<p/><p><a href="../index/token" target="_blank">免费申请</a>后填至(后台>设置>全局设置>联盟令牌)</p>',
    'daicuo_token_error'                 => '开放平台令牌错误',
    'daicuo_score_error'                 => '开放平台积分不足',
    //应用市场在线升级
    'apply_module_uninstall'             => '请先安装此应用',
    'apply_version_isnew'                => '已经是最新版本，不需要升级',
    'apply_update_server_error'          => '连接开放平台升级服务器失败',
    //框架在线升级
    'web_create_failed'                  => '网站目录及子目录无写入权限（777），请手动更新或先添加权限',
    'web_unzip_failed'                   => '升级补丁包解压失败，请手动下载补丁包后上传',
    
    //系统>>工具维护
    'clear_cache'                        => '清空系统缓存',
    'clear_runtime'                      => '清空临时文件', 
    'clear_option'                       => '清空系统配置',
    
    //系统>>分类与标签
    'category_create'                       => '添加分类',
    'category_edit'                         => '修改分类',
    'tag_create'                            => '添加标签',
    'tag_edit'                              => '修改标签',
    
    //用户管理
    'user_create'                           => '添加用户',
    'user_edit'                             => '修改用户',
    
    //系统>>路由管理
    'rule'                               => '伪静态结构',
    'rule_placeholder'                   => '使用/分割，:表式动态变量，[]表式可选变量，$结尾表示完全匹配',
    'address'                            => '真实访问路径',
    'address_placeholder'                => '如：home/index/index',
    'method'                             => '请求类型',
    'method_placeholder'                 => 'get|post|put|delete|*',
    'method_option_0'                    => 'GET',
    'method_option_1'                    => 'POST',
    'method_option_2'                    => 'PUT',
    'method_option_3'                    => 'DELETE',
    'method_option_4'                    => '所有类型',
    'option'                             => '路由参数',
    'option_placeholder'                 => 'Json格式，一般不用填，设置一些路由匹配的条件参数',
    'option'                             => '路由参数',
    'pattern'                            => '变量规则',
    'pattern_placeholder'                => 'Json格式，一般不用填，使用正则表达式弥补动态变量无法限制具体的条件参数',
    //路由验证
    'rule_require'                       => 'rule%路由表达式必须填写 如：blog/:id',
    'rule_number'                        => 'rule%路由表达式不能只为数字',
    'address_require'                    => 'address%路由地址必须填写 如：home/index/index',
    'address_demo'                       => 'address%请按"模块/控制器/操作"这样的格式 如：home/index/index',
    'option_json'                        => 'option%请按Json格式填写',
    'pattern_json'                       => 'pattern%请按Json格式填写',
    
    //系统>>环境
    'update_down'                       => '手动下载',
    'frame_version'                     => '框架版本',
    'frame_author'                      => '框架作者',
    'server_environment'                => '服务器环境',
    'web_directory'                     => '网站目录',
    'physical_path'                     => '物理路径',
    'database_type'                     => '数据库类型',
    'php_version'                       => 'PHP版本',
    'php_engine'                        => 'PHP引擎',
    'email_funtion'                     => '邮件发送需要用到的组件',
];