{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$index_title}</title>
<meta name="keywords" content="{$index_keywords}" />
<meta name="description" content="{$index_description}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9">
      {assign name="list" value=":articleSelect([
          'cache'   => true,
          'status'  => 'normal',
          'sort'    => 'meta_value_num',
          'order'   => 'desc',
          'meta_key' => 'article_top',
          'limit'   => DcEmpty(config('cms.page_size'),30),
          'page'    => $page,
      ])" /}
      {volist name="list.data" id="article"}
      <div class="px-0 px-md-5 bg-white border-bottom">
        <div class="card-body">
          <h2 class="py-2">
            <a class="{$article.info_color|cmsColor}" href="{:articleUrl($article)}">{$article.info_name|DcHtml}</a>
          </h2>
          <p>
            {$article.info_create_time}
            {foreach name="article.category" item="category"}
              <a class="ml-1" href="{:articleUrlCategory($category)}">{$category.term_name}</a>
            {/foreach}
          </p>
          <p class="card-text">{$article.info_excerpt|DcHtml}</p>
          <p><a href="{:articleUrl($article)}">查看全文<i class="fa fa-angle-double-right mx-1"></i></a></p>
        </div>
      </div>
      {/volist}
      <!---->
      {gt name="list.last_page" value="1"}
      <div class="w-100 mb-2"></div>
      <div class="border bg-white pagesmall py-2 mb-2 d-md-none">{:DcPageSimple($list['current_page'], $list['last_page'], $path)}</div>
      <div class="border bg-white page py-2 mb-2 d-none d-md-block">{:DcPage($list['current_page'], $list['per_page'], $list['total'], $path)}</div>
      {/gt}
    </div>
    <div class="col-12 col-md-3">
      {include file="widget/sitebar" /}
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}